%define name		perl-File-MMagic
%define realname	File-MMagic
%define version		1.16
%define release		2mdk

Summary: Guess file type from filename and/or filehandle.

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{realname}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl
BuildArch: noarch

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version} -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README.en 
%{perl_vendorlib}/File/*
%{_mandir}/*/*

%changelog
* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.16-2mdk
- rebuild

* Fri Nov 21 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.16-1mdk
- 1.16 (to fix bugid 558)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.15-2mdk
- rebuild for perl 5.8.0

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.13-1mdk
- updated to 1.13

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
